import request from '@/utils/request'

// 查询作业证书一览列表
export function listWorkcertificate(query) {
  return request({
    url: '/training/workcertificate/list',
    method: 'get',
    params: query
  })
}

//作业数据
export function cerData(query) {
  return request({
    url: '/training/workcertificate/cerData',
    method: 'get',
    params: query
  })
}
// 查询作业证书一览详细
export function getWorkcertificate(id) {
  return request({
    url: '/training/workcertificate/' + id,
    method: 'get'
  })
}

// 新增作业证书一览
export function addWorkcertificate(data) {
  return request({
    url: '/training/workcertificate',
    method: 'post',
    data: data
  })
}

// 修改作业证书一览
export function updateWorkcertificate(data) {
  return request({
    url: '/training/workcertificate',
    method: 'put',
    data: data
  })
}

// 删除作业证书一览
export function delWorkcertificate(id) {
  return request({
    url: '/training/workcertificate/' + id,
    method: 'delete'
  })
}

// 导出作业证书一览
export function exportWorkcertificate(query) {
  return request({
    url: '/training/workcertificate/export',
    method: 'get',
    params: query
  })
}
